.TH curs_insch 3 ""
.SH NAME
\fBinsch\fR, \fBwinsch\fR, \fBmvinsch\fR, 
\fBmvwinsch\fR - insert a character before cursor in a \fBncurses\fR window
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBint insch(chtype ch);\fR
.br
\fBint winsch(WINDOW *win, chtype ch);\fR
.br
\fBint mvinsch(int y, int x, chtype ch);\fR
.br
\fBint mvwinsch(WINDOW *win, int y, int x, chtype ch);\fR
.br
.SH DESCRIPTION
These routines, insert the character \fIch\fR before the character under the
cursor.  All characters to the right of the cursor are moved one space to the
right, with the possibility of the rightmost character on the line being lost.
The insertion operation does not change the cursor position.
.SH RETURN VALUE
All routines return the integer \fBERR\fR upon failure and an integer value
other than \fBERR\fR upon successful completion.
.SH NOTES
These routines do not necessarily imply use of a hardware insert character
feature.

Note that \fBinsch\fR, \fBmvinsch\fR, and \fBmvwinsch\fR may be macros.
.SH SEE ALSO
\fBncurses\fR(3).
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
